# ToEpochBucket

Convert epoch milliseconds to epoch , and divided by bucket size (Bucket size is defined in ). The following time units are supported:

* SECONDS
* MINUTES
* HOURS
* DAYS

## Signature

> ToEpoch\<TIME\_UNIT>Bucket(timeInMillis, bucketSize)

## Usage Examples

```sql
select ToEpochSecondsBucket(1613472303000, 1000) AS bucket
FROM ignoreMe
```

| bucket  |
| ------- |
| 1613472 |

```sql
select ToEpochMinutesBucket(1613472303000, 10) AS bucket
FROM ignoreMe
```

| bucket  |
| ------- |
| 2689120 |

```sql
select ToEpochHoursBucket(1613472303000, 5) AS bucket
FROM ignoreMe
```

| bucket |
| ------ |
| 89637  |

```sql
select ToEpochDaysBucket(1613472303000, 10) AS bucket
FROM ignoreMe
```

| bucket |
| ------ |
| 1867   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/release-0.11.0/configuration-reference/functions/toepochbucket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
